/*
 * (c) Copyright 2002 - 2003 -- Anders Torger
 *
 * This program is open source. For license terms, see the LICENSE file.
 *
 */
#ifndef _CONVOLVE_H_
#define _CONVOLVE_H_

#include "defs.h"

typedef struct _convolve_t_ convolve_t;

convolve_t *
convolve_new(void *coeffs,
	     int coeffslen,
	     int order,
             int realsize);

void
convolve_delete(convolve_t *c);

void
convolve_block(convolve_t *c,
	       void *block);

void *
convolve(void *coeffs1,
	 int coeffs1len,
	 void *coeffs2,
	 int coeffs2len,
         int realsize);

#endif
