/*
 * (c) Copyright 2002 - 2003 -- Anders Torger
 *
 * This program is open source. For license terms, see the LICENSE file.
 *
 */
#ifndef _FFTPLAN_H_
#define _FFTPLAN_H_

#include <fftw3.h>

#include "defs.h"

void *
fftplan_get_real(int order,
                 bool_t invert,
                 bool_t inplace,
                 int realsize);

void *
fftplan_get_complex(int order,
                    bool_t invert,
                    bool_t inplace,
                    int realsize);

#endif
